Bug 880579 - Warning info show when register to sam if register to public rhn first.
Warning info show when register to sam if register to public rhn first.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node (Show other bugs)
5.9
Unspecified Unspecified
urgent Severity medium
: rc
: ---
Assigned To: Joey Boggs
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 06:25 EST by cshao
Modified: 2016-04-26 11:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-07 10:34:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ovirt.log (31.44 KB, text/plain)
2012-11-27 06:26 EST, cshao
no flags Details

  None (edit)
Description cshao 2012-11-27 06:25:14 EST
Description of problem:
register to public RHN first, and then register to SAM, warning info show as follows:

Registering to RHN account.....
WARNING
You have already registered with spacewalk.
The system has been registered with id: e53e0791-27d3-4ed1-b04c-9206a835b97c 
Installed Product Current Status:
'DefaultBranding' object has no attribute 'REGISTERED_TO_BOTH_SUMMARY'
Error registering to RHN account!

Version-Release number of selected component (if applicable):
rhev-hypervisor5-5.9-20121114.2.el5
subscription-manager-1.0.24-1.el5
sam-1.2-20121120
katello-headpin-all-1.2.6-2h.el6_3

How reproducible:
100%

Steps to Reproduce:
1. Install RHEV-H and register to public rhn.
2. Register to SAM.
3.
  
Actual results:
1. Warning info show when register to sam if register to public rhn first.
2. Register to sam can successful.

Expected results:
1. Register to SAM can successful without warning info.

Additional info:
1. No such issue on rhev-hypervisor5-5.9-20120808.0.el5, so it's a regression from 5.8 to 5.9.
2. Can reproduce the same issue with rhevh-5.9-20121123.2.
Comment 1 cshao 2012-11-27 06:26:03 EST
Created attachment 652637 [details]
ovirt.log
Comment 2 cshao 2012-11-27 06:32:41 EST
> Additional info:
> 1. No such issue on rhev-hypervisor5-5.9-20120808.0.el5, so it's a regression  from 5.8 to 5.9.
> 2. Can reproduce the same issue with rhevh-5.9-20121123.2.

Update Additional info:
1. No such issue on rhev-hypervisor5-5.8-20120808.0.el5_8, so it's a regression from 5.8 to 5.9.

Note You need to log in before you can comment on or make changes to this bug.